%define firm_file sihpP1006.dl
%define riles_file 11-hpljP1006.rules

Name:           foo2zjs_P1006_firmware
Version:        20090916
Release:        1
License:        GPL v2 or later
Source:         %{name}.tar.gz
Group:          Hardware/Printing
Summary:        Firmware for HP LaserJet P1006 and P1008 for using with foo2zjs driver
BuildRoot:      %{_tmppath}/%{name}
Requires:       cups-drivers-foo2zjs kernel-module-usblp
 
# norootforbuild
 
%description
Firmware for HP LaserJet P1006 and P1008 for using with foo2zjs driver
%prep
%setup -n %{name}
 
%build
 
%install
FRM_PATH="/usr/share/foo2xqx/firmware"
if [ ! -d %{buildroot}/${FRM_PATH} ] ; then
	mkdir -p %{buildroot}/$FRM_PATH
fi

install -c -m 644 %{firm_file} %{buildroot}/$FRM_PATH
install -c -m 644 %{rules_file} /lib/udev/rules.d/

ln -s /usr/sbin/hplj1000 /usr/sbin/hpljP1006
ln -s /usr/sbin/hplj1000 /usr/sbin/hpljP1008

%files
%defattr(-,root,root)
/usr/share/foo2xqx/firmware/%{firm_file}
/udev/lib/rules.d/%{rules_file}
 
%changelog
